Skip to main content
GET
/
ai-agents
/
agent-builder
/
frontend-actions
List Frontend Actions
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/frontend-actions \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "_id": "myapp_onUserClick",
      "appId": "my-app-id",
      "name": "User Click Action",
      "description": "Triggered when a user clicks a button",
      "triggerFunction": "onUserClick",
      "icon": "https://example.com/icon.png",
      "parameters": [
        {
          "key": "userId",
          "type": "string",
          "description": "The user identifier",
          "required": true
        }
      ],
      "tool": {
        "name": "onUserClick",
        "description": "Triggered when a user clicks a button",
        "parameters": {
          "type": "object",
          "properties": {},
          "required": []
        }
      },
      "createdAt": 1700000000000,
      "updatedAt": 1700000000000
    }
  ],
  "meta": {
    "previous": {
      "affix": "prepend",
      "createdAt": 1700000000000
    },
    "current": {
      "limit": 10,
      "count": 5
    },
    "next": {
      "affix": "append",
      "createdAt": 1700000000000
    }
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

limit
number
affix
enum<string>
Available options:
prepend,
append
createdAt
number

Response

Paginated list of frontend actions

data
object[]
meta
object